Subject: [regext] FW: New Version Notification for draft-ietf-regext-unhandled-namespaces-02.txt

From: "Gould, James" <[email-masked]>
Date: Fri, 31 Jul 2020 15:04:30 +0000

In preparation for the request for WGLC, draft-ietf-regext-unhandled-namespaces was updated with the following changes.  The draft is now ready for WGLC.

  1.  Filled in the acknowledgements section.
  2.  Changed the reference from RFC 5730 to RFC 5731 for the transfer example in section 3.1 "Unhandled Object-Level" Extension.
  3.  Updated the XML namespace to urn:ietf:params:xml:ns:epp:unhandled-namespaces-1.0, which removed bcp from the namespace and bumped the version from 0.1 and 1.0. Inclusion of bcp in the XML namespace was discussed at the REGEXT interim meeting.

--

JG

James Gould

Fellow Engineer

[email-masked] <applewebdata://13890C55-AAE8-4BF3-A6CE-B4BA42740803/[email-masked]>

703-948-3271

12061 Bluemont Way

Reston, VA 20190

Verisign.com <http://verisigninc.com/>

On 7/31/20, 10:57 AM, "[email-masked]" <[email-masked]> wrote:

    A new version of I-D, draft-ietf-regext-unhandled-namespaces-02.txt

    has been successfully submitted by James Gould and posted to the

    IETF repository.

    Name:                              draft-ietf-regext-unhandled-namespaces

    Revision:         02

    Title:                  Extensible Provisioning Protocol (EPP) Unhandled Namespaces

    Document date:           2020-07-31

    Group:                             regext

    Pages:                              20

    URL:            https://secure-web.cisco.com/1mCB13Apsy9q4w4T51vZrX5jt41UJD1IqGZKvemRR2pe9OWeA30ykWKjhv1c6sbx_3PI1acnYr4cmsw8tOxs-SSaNhnVO3D-9o8NcTi3bTRAATlZqsK9mTtOuRrGSfM0Laah_pC4s3lbJ8G0eD_3QprU4-iwU4dIPxh6_UD0nAIwFUUfhV4vfX6-dXcFpRwm8iYRgFSqRyaLcBq3zO8OdxGqB9y8oGH3k-UhgJaUDTK4uwHExA2uvZTXGCqtgUPtuL0yaeS-saHf0GjtQlYBevJkL6LbNxvJh0OBoLromtFw/https%3A%2F%2Fwww.ietf.org%2Finternet-drafts%2Fdraft-ietf-regext-unhandled-namespaces-02.txt

    Status:         https://secure-web.cisco.com/1zhTedKy5QzaQuwHc55dIPSEUZ14tiVwLNhQRZzbleb9sAgMju5EwzO7ghGjbI6mr5bc2hvF3ZzqbX5vsE6YDKLChO1Zh3FtOTzjisfulaaHfvEW86n_ch_DcnduvGwKsD83IgGmfRo9AkYUA8QINEzd2zfHcyZ6HO7G37Rnx7mHWap_vl1bwo8JLUHYWa3Thp7r8WfDfMDfAqEVArQ8cE2o503lxZXPXBv6Of86NSitRC_uDvCafjsZPlAyq0isEg6DzgB2lMCtO-P8nJ1ia3w/https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-ietf-regext-unhandled-namespaces%2F

    Htmlized:       https://secure-web.cisco.com/1sZyIW2KieJ9Dj_KNZkydFFTZ1LdeqZRoAc6dbhrZPYpMjQJu-sYYbrcHU5dTiOVoNWPa4-sk3z0WN-ylZym3FflorBkEwy--tKsqbbx0Fqy05Fxrw1UCTc-1jbLJVgoVmGZG8DLyON00Jr8L49Xfh2Hx-MgztbQmyaW0OXo_I86XYqL669MuoLp9mEGBvpAR7d4n0mf3sBL0zdo1uNKPLyjEjFY3SopqM7e86RNVyG2ydgSFEhGEv9niZLcze6epyHydV_XC0jKItpCq7XgpWw/https%3A%2F%2Ftools.ietf.org%2Fhtml%2Fdraft-ietf-regext-unhandled-namespaces-02

    Htmlized:       https://secure-web.cisco.com/1YRP1Qj5NJgEWDzHjKJERAjJWiftcpdCDhNaovAj0M7ytTnZzMCU6aNAtdzJo9vgdxEtLLw8Gtd5lhUHzv0NHGczim1lK4uEmrEB9yo5znoT1d7n0ADZ1XDrXyrUyqLprWDu1M6fOXZPfSaSSYQbuSBMYsHhjGPrujHvtxRlyalFnSbon9nuMI7lKtmwh2mqZLBTgLKb7PZHBMmtdH87UgMRX8ivmiLUcs6HKx8Ay7gioGBB-oCayG-eu0zGtlcGsvvBTygGnUhrILyIxC_LbRg/https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-ietf-regext-unhandled-namespaces

    Diff:           https://secure-web.cisco.com/1B9VPlTl-67FWS-VJqQfHYSWoudR-cYOFaDyFs5ybFqMdIu0x0729pgipuS9s7H7RR2zNpTUCSqmJf3pQ3AVEhFAO8Anaqdc-BrtStLtC7viDhs0So5QvFUXtTds__CpXEDpNGE2Q6toFz0-XsdgNtmwzqmPsSmzOdSaY1qxPZuGKb0KZYSqBYt-KgkFepvnbNMtrOhn81-NrvAful-kthyxF3saK5feOA2NAl4e9YqF9wa-zL1cOkcCOOY8UGUajNRXfzbow2WJHpmRMEBsnxwpRl4tcubcdrTwNZEX41jk/https%3A%2F%2Fwww.ietf.org%2Frfcdiff%3Furl2%3Ddraft-ietf-regext-unhandled-namespaces-02

    Abstract:

       The Extensible Provisioning Protocol (EPP), as defined in RFC 5730,

       includes a method for the client and server to determine the objects

       to be managed during a session and the object extensions to be used

       during a session.  The services are identified using namespace URIs.

       How should the server handle service data that needs to be returned

       in the response when the client does not support the required service

       namespace URI, which is referred to as an unhandled namespace?  An

       unhandled namespace is a significant issue for the processing of RFC

       5730 poll messages, since poll messages are inserted by the server

       prior to knowing the supported client services, and the client needs

       to be capable of processing all poll messages.  This document defines

       an operational practice that enables the server to return information

       associated with unhandled namespace URIs that is compliant with the

       negotiated services defined in RFC 5730.

    Please note that it may take a couple of minutes from the time of submission

    until the htmlized version and diff are available at tools.ietf.org.

    The IETF Secretariat